--
-- ProfiLua Example 4
--
-- (c) ASkr, www.askrprojects.net
--

gNumInputs  = 3
gNumOutputs = 1

InputNames  = {"x","sigma","my"}
OutputNames = {"PDF"}

function gInputName(channel)
	return InputNames[channel]
end

function gOutputName(channel)
	return OutputNames[channel]
end

function gSimStart(In)
	return {0}
end

function gSimStop(In)
end

function gauss(x,s,m)
  if s < 0.01 then
    return 0
  end
  return (1/(s*math.sqrt(2.0*math.pi)))*math.exp(-0.5*math.pow((x-m)/s,2))
end

function gCalculate(In)
	return {gauss(In[1],In[2],In[3])*100}
end

